uk.gov.hmrc.agent.kenshoo.monitoring

# HttpAPIMonitor

###
Related Doc: package monitoring

#### trait HttpAPIMonitor extends AverageResponseTimer with HttpErrorRateMeter

Linear Supertypes
HttpErrorRateMeter, AverageResponseTimer, AnyRef, Any
Known Subclasses
MonitoredHttpClient, MonitoringFilter
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. HttpAPIMonitor
2. HttpErrorRateMeter
3. AverageResponseTimer
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract val kenshooRegistry: MetricRegistry

   Definition Classes
     HttpErrorRateMeter

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### def countErrors[T](serviceName: String)(future: Future[T])(implicit ec: ExecutionContext): Future[T]

   Definition Classes
     HttpErrorRateMeter

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

12. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

13. #### def meterName[T](serviceName: String, statusCode: Int): String

    Definition Classes
      HttpErrorRateMeter

14. #### def monitor[T](serviceName: String)(function: ⇒ Future[T])(implicit ec: ExecutionContext): Future[T]

15. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### final def notify(): Unit

    Definition Classes
      AnyRef

17. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

18. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

19. #### def timer[T](serviceName: String)(function: ⇒ Future[T])(implicit ec: ExecutionContext): Future[T]

    Definition Classes
      AverageResponseTimer

20. #### def toString(): String

    Definition Classes
      AnyRef → Any

21. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from HttpErrorRateMeter

### Inherited from AverageResponseTimer

### Inherited from AnyRef

### Inherited from Any

### Ungrouped